Bug 881706 - (CVE-2012-5601, CVE-2012-6055) CVE-2012-5601 CVE-2012-6055 wireshark: DoS (infinite loop) in the 3GPP2 A11 dissector (wnpa-sec-2012-39)
CVE-2012-5601 CVE-2012-6055 wireshark: DoS (infinite loop) in the 3GPP2 A11 d...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121128,reported=2...
: Security
Depends On:
Blocks: 881865
  Show dependency treegraph
 
Reported: 2012-11-29 07:02 EST by Jan Lieskovsky
Modified: 2016-03-04 06:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 17:15:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-29 07:02:01 EST
A denial of service flaw was found in the way 3GPP2 A11 dissector of Wireshark, a network traffic analyzer, performed dissection of certain CDMA2000 A11 packets. A remote attacker could provide a specially-crafted CDMA2000 A11 packet capture that, once processed, would lead to excessive CPU consumption or into situation where tshark executable would enter an infinite loop, when trying to process the crafted packet.

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7801 (main bug)
[2] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7803 (related bug)

References:
[3] http://www.wireshark.org/security/wnpa-sec-2012-39.html
[4] http://www.wireshark.org/docs/relnotes/wireshark-1.8.4.html

Relevant upstream patches:
[5] http://anonsvn.wireshark.org/viewvc?view=revision&revision=45337 (main fix for #7801)
[6] http://anonsvn.wireshark.org/viewvc?view=revision&revision=45359 (to fix some valgrind reads)
[7] http://anonsvn.wireshark.org/viewvc?view=revision&revision=45360 (to fix some valgrind reads)

Reproducer:
[8] http://www.wireshark.org/download/automated/captures/fuzz-2012-10-05-27746.pcap
Comment 1 Jan Lieskovsky 2012-11-29 07:05:50 EST
This issue did NOT affect the versions of the wireshark package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue did NOT affect the versions of the wireshark package, as shipped with Fedora release of 16 and 17.
Comment 2 Vincent Danen 2012-11-29 17:14:45 EST
This was assigned CVE-2012-5601:

http://www.openwall.com/lists/oss-security/2012/11/29/5
Comment 3 Vincent Danen 2012-11-29 17:15:05 EST
Statement CVE-2012-6055:

Not vulnerable. This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 4 Jan Lieskovsky 2012-12-05 08:55:23 EST
The CVE-2012-5601 identifier has been rejected by Mitre in favour of CVE-2012-6055 one:

Name: CVE-2012-5601

** REJECT **

DO NOT USE THIS CANDIDATE NUMBER.  ConsultIDs: CVE-2012-6055.  Reason:
This candidate is a reservation duplicate of CVE-2012-6055.  Notes:
All CVE users should reference CVE-2012-6055 instead of this
candidate.  All references and descriptions in this candidate have
been removed to prevent accidental usage.

--

The correct CVE id this particular wireshark flaw should be referenced under (from now on) is CVE-2012-6055.

Note You need to log in before you can comment on or make changes to this bug.